Dela via


Solutions Discoverability - List

Hämta en lista över lösningar för Data Manager for Agriculture.

GET https://management.azure.com/providers/Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions?api-version=2023-06-01-preview
GET https://management.azure.com/providers/Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions?farmBeatsSolutionIds={farmBeatsSolutionIds}&farmBeatsSolutionNames={farmBeatsSolutionNames}&$maxPageSize={$maxPageSize}&api-version=2023-06-01-preview

URI-parametrar

Name I Obligatorisk Typ Description
api-version
query True

string

minLength: 1

DEN API-version som ska användas för den här åtgärden.

$maxPageSize
query

integer (int32)

minimum: 10
maximum: 1000

Maximalt antal objekt som behövs (inklusive). Minimum = 10, Maximum = 1000, Standardvärde = 50.

farmBeatsSolutionIds
query

string[]

Id:er för Data Manager For Agriculture Solutions som kunden begär att hämta.

farmBeatsSolutionNames
query

string[]

Namn på Data Manager for Agriculture Solutions som kunden begär att hämta.

Svar

Name Typ Description
200 OK

DataManagerForAgricultureSolutionListResponse

Framgång

Other Status Codes

ErrorResponse

Fel

Säkerhet

azure_auth

Azure Active Directory OAuth2-flöde.

Typ: oauth2
Flow: implicit
Auktoriseringswebbadress: https://login.microsoftonline.com/common/oauth2/authorize

Omfattningar

Name Description
user_impersonation personifiera ditt användarkonto

Exempel

SolutionsDiscoverability_List

Exempelbegäran

GET https://management.azure.com/providers/Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions?api-version=2023-06-01-preview

Exempelsvar

{
  "value": [
    {
      "id": "/providers/Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions/bayerAgPowered.gdu",
      "type": "Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions",
      "systemData": {
        "createdAt": "2022-07-25T10:15:15Z",
        "lastModifiedAt": "2022-07-25T10:15:15Z"
      },
      "properties": {
        "partnerId": "abc",
        "partnerTenantId": "556b0c04-d33e-48d0-9f6f-f893c8c77e00",
        "dataAccessScopes": [
          "string"
        ],
        "marketplaceOfferDetails": {
          "saasOfferId": "saasOfferId",
          "publisherId": "publisherId"
        },
        "openApiSpecsDictionary": {
          "v1": {
            "paths": {
              "/v1/resources/{resourceId}": {
                "get": {
                  "tags": [
                    "Weather"
                  ],
                  "description": "Get weather ingestion job.",
                  "operationId": "Weather_GetDataIngestionJobDetails",
                  "produces": [
                    "application/json"
                  ],
                  "parameters": [
                    {
                      "in": "path",
                      "name": "resourceId",
                      "description": "Id of the job.",
                      "required": true,
                      "type": "string"
                    },
                    {
                      "in": "query",
                      "name": "api-version",
                      "description": "The requested API version",
                      "required": true,
                      "type": "string",
                      "default": "2021-07-31-preview"
                    }
                  ],
                  "responses": {
                    "200": {
                      "description": "Success",
                      "schema": {
                        "description": "Schema of weather ingestion job.",
                        "required": [
                          "boundaryId",
                          "extensionApiInput",
                          "extensionApiName",
                          "extensionId",
                          "farmerId"
                        ],
                        "type": "object",
                        "properties": {
                          "boundaryId": {
                            "description": "The id of the boundary object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "farmerId": {
                            "description": "The id of the farmer object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "extensionId": {
                            "description": "Id of the extension to be used for the providerInput. eg. DTN.ClearAg.",
                            "maxLength": 100,
                            "minLength": 2,
                            "pattern": "^[a-zA-Z]{3,50}[.][a-zA-Z]{3,100}$",
                            "type": "string"
                          },
                          "extensionApiName": {
                            "description": "Extension api name to which request is to be made.",
                            "maxLength": 100,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionApiInput": {
                            "description": "Extension api input dictionary which would be used to feed request query/body/parameter information.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            }
                          },
                          "extensionDataProviderAppId": {
                            "description": "App id of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionDataProviderApiKey": {
                            "description": "Api key of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "id": {
                            "description": "Unique job id.",
                            "type": "string",
                            "readOnly": true
                          },
                          "status": {
                            "description": "Status of the job.\r\nPossible values: 'Waiting', 'Running', 'Succeeded', 'Failed', 'Cancelled'.",
                            "type": "string",
                            "readOnly": true
                          },
                          "durationInSeconds": {
                            "format": "double",
                            "description": "Duration of the job in seconds.",
                            "type": "number",
                            "readOnly": true
                          },
                          "message": {
                            "description": "Status message to capture more details of the job.",
                            "type": "string",
                            "readOnly": true
                          },
                          "createdDateTime": {
                            "format": "date-time",
                            "description": "Job created at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "lastActionDateTime": {
                            "format": "date-time",
                            "description": "Job was last acted upon at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "startTime": {
                            "format": "date-time",
                            "description": "Job start time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "endTime": {
                            "format": "date-time",
                            "description": "Job end time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "name": {
                            "description": "Name to identify resource.",
                            "maxLength": 100,
                            "minLength": 0,
                            "type": "string"
                          },
                          "description": {
                            "description": "Textual description of the resource.",
                            "maxLength": 500,
                            "minLength": 0,
                            "type": "string"
                          },
                          "properties": {
                            "description": "A collection of key value pairs that belongs to the resource.\r\nEach pair must not have a key greater than 50 characters\r\nand must not have a value greater than 150 characters.\r\nNote: A maximum of 25 key value pairs can be provided for a resource and only string,\r\nnumeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            },
                            "example": {
                              "key1": "value1",
                              "key2": 123.45
                            }
                          }
                        },
                        "additionalProperties": {}
                      }
                    },
                    "default": {
                      "description": "Error",
                      "schema": {
                        "description": "An error response from the Azure AgPlatform service.\r\n<see href=\"https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses\">ErrorResponse reference document.</see>.",
                        "type": "object",
                        "properties": {
                          "error": {
                            "description": "An error from the Azure AgPlatform service.",
                            "type": "object",
                            "properties": {
                              "code": {
                                "description": "Server-defined set of error codes.",
                                "type": "string"
                              },
                              "message": {
                                "description": "Human-readable representation of the error.",
                                "type": "string"
                              },
                              "target": {
                                "description": "Target of the error.",
                                "type": "string"
                              },
                              "details": {
                                "description": "Array of details about specific errors that led to this reported error.",
                                "type": "array"
                              }
                            }
                          },
                          "traceId": {
                            "description": "Unique trace Id.",
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "put": {
                  "tags": [
                    "Weather"
                  ],
                  "description": "Create a weather data ingestion job.",
                  "operationId": "Weather_CreateDataIngestionJob",
                  "consumes": [
                    "application/json"
                  ],
                  "produces": [
                    "application/json"
                  ],
                  "parameters": [
                    {
                      "in": "path",
                      "name": "resourceId",
                      "description": "Job id supplied by user.",
                      "required": true,
                      "type": "string"
                    },
                    {
                      "in": "query",
                      "name": "api-version",
                      "description": "The requested API version",
                      "required": true,
                      "type": "string",
                      "default": "2021-07-31-preview"
                    },
                    {
                      "in": "body",
                      "name": "body",
                      "description": "Job parameters supplied by user.",
                      "schema": {
                        "description": "Schema of weather ingestion job.",
                        "required": [
                          "boundaryId",
                          "extensionApiInput",
                          "extensionApiName",
                          "extensionId",
                          "farmerId"
                        ],
                        "type": "object",
                        "properties": {
                          "boundaryId": {
                            "description": "The id of the boundary object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "farmerId": {
                            "description": "The id of the farmer object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "extensionId": {
                            "description": "Id of the extension to be used for the providerInput. eg. DTN.ClearAg.",
                            "maxLength": 100,
                            "minLength": 2,
                            "pattern": "^[a-zA-Z]{3,50}[.][a-zA-Z]{3,100}$",
                            "type": "string"
                          },
                          "extensionApiName": {
                            "description": "Extension api name to which request is to be made.",
                            "maxLength": 100,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionApiInput": {
                            "description": "Extension api input dictionary which would be used to feed request query/body/parameter information.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            }
                          },
                          "extensionDataProviderAppId": {
                            "description": "App id of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionDataProviderApiKey": {
                            "description": "Api key of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "id": {
                            "description": "Unique job id.",
                            "type": "string",
                            "readOnly": true
                          },
                          "status": {
                            "description": "Status of the job.\r\nPossible values: 'Waiting', 'Running', 'Succeeded', 'Failed', 'Cancelled'.",
                            "type": "string",
                            "readOnly": true
                          },
                          "durationInSeconds": {
                            "format": "double",
                            "description": "Duration of the job in seconds.",
                            "type": "number",
                            "readOnly": true
                          },
                          "message": {
                            "description": "Status message to capture more details of the job.",
                            "type": "string",
                            "readOnly": true
                          },
                          "createdDateTime": {
                            "format": "date-time",
                            "description": "Job created at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "lastActionDateTime": {
                            "format": "date-time",
                            "description": "Job was last acted upon at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "startTime": {
                            "format": "date-time",
                            "description": "Job start time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "endTime": {
                            "format": "date-time",
                            "description": "Job end time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "name": {
                            "description": "Name to identify resource.",
                            "maxLength": 100,
                            "minLength": 0,
                            "type": "string"
                          },
                          "description": {
                            "description": "Textual description of the resource.",
                            "maxLength": 500,
                            "minLength": 0,
                            "type": "string"
                          },
                          "properties": {
                            "description": "A collection of key value pairs that belongs to the resource.\r\nEach pair must not have a key greater than 50 characters\r\nand must not have a value greater than 150 characters.\r\nNote: A maximum of 25 key value pairs can be provided for a resource and only string,\r\nnumeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            },
                            "example": {
                              "key1": "value1",
                              "key2": 123.45
                            }
                          }
                        },
                        "additionalProperties": {}
                      }
                    }
                  ],
                  "responses": {
                    "202": {
                      "description": "Success",
                      "schema": {
                        "description": "Schema of weather ingestion job.",
                        "required": [
                          "boundaryId",
                          "extensionApiInput",
                          "extensionApiName",
                          "extensionId",
                          "farmerId"
                        ],
                        "type": "object",
                        "properties": {
                          "boundaryId": {
                            "description": "The id of the boundary object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "farmerId": {
                            "description": "The id of the farmer object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "extensionId": {
                            "description": "Id of the extension to be used for the providerInput. eg. DTN.ClearAg.",
                            "maxLength": 100,
                            "minLength": 2,
                            "pattern": "^[a-zA-Z]{3,50}[.][a-zA-Z]{3,100}$",
                            "type": "string"
                          },
                          "extensionApiName": {
                            "description": "Extension api name to which request is to be made.",
                            "maxLength": 100,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionApiInput": {
                            "description": "Extension api input dictionary which would be used to feed request query/body/parameter information.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            }
                          },
                          "extensionDataProviderAppId": {
                            "description": "App id of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionDataProviderApiKey": {
                            "description": "Api key of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "id": {
                            "description": "Unique job id.",
                            "type": "string",
                            "readOnly": true
                          },
                          "status": {
                            "description": "Status of the job.\r\nPossible values: 'Waiting', 'Running', 'Succeeded', 'Failed', 'Cancelled'.",
                            "type": "string",
                            "readOnly": true
                          },
                          "durationInSeconds": {
                            "format": "double",
                            "description": "Duration of the job in seconds.",
                            "type": "number",
                            "readOnly": true
                          },
                          "message": {
                            "description": "Status message to capture more details of the job.",
                            "type": "string",
                            "readOnly": true
                          },
                          "createdDateTime": {
                            "format": "date-time",
                            "description": "Job created at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "lastActionDateTime": {
                            "format": "date-time",
                            "description": "Job was last acted upon at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "startTime": {
                            "format": "date-time",
                            "description": "Job start time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "endTime": {
                            "format": "date-time",
                            "description": "Job end time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "name": {
                            "description": "Name to identify resource.",
                            "maxLength": 100,
                            "minLength": 0,
                            "type": "string"
                          },
                          "description": {
                            "description": "Textual description of the resource.",
                            "maxLength": 500,
                            "minLength": 0,
                            "type": "string"
                          },
                          "properties": {
                            "description": "A collection of key value pairs that belongs to the resource.\r\nEach pair must not have a key greater than 50 characters\r\nand must not have a value greater than 150 characters.\r\nNote: A maximum of 25 key value pairs can be provided for a resource and only string,\r\nnumeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            },
                            "example": {
                              "key1": "value1",
                              "key2": 123.45
                            }
                          }
                        },
                        "additionalProperties": {}
                      }
                    },
                    "default": {
                      "description": "Error",
                      "schema": {
                        "description": "An error response from the Azure AgPlatform service.\r\n<see href=\"https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses\">ErrorResponse reference document.</see>.",
                        "type": "object",
                        "properties": {
                          "error": {
                            "description": "An error from the Azure AgPlatform service.",
                            "type": "object",
                            "properties": {
                              "code": {
                                "description": "Server-defined set of error codes.",
                                "type": "string"
                              },
                              "message": {
                                "description": "Human-readable representation of the error.",
                                "type": "string"
                              },
                              "target": {
                                "description": "Target of the error.",
                                "type": "string"
                              },
                              "details": {
                                "description": "Array of details about specific errors that led to this reported error.",
                                "type": "array"
                              }
                            }
                          },
                          "traceId": {
                            "description": "Unique trace Id.",
                            "type": "string"
                          }
                        }
                      }
                    }
                  },
                  "x-ms-long-running-operation": true,
                  "x-ms-long-running-operation-options": {
                    "final-state-via": "location"
                  }
                }
              }
            },
            "basePath": "/",
            "definitions": {
              "WeatherDataIngestionJob": {
                "description": "Schema of weather ingestion job.",
                "required": [
                  "boundaryId",
                  "extensionApiInput",
                  "extensionApiName",
                  "extensionId",
                  "farmerId"
                ],
                "type": "object",
                "properties": {
                  "boundaryId": {
                    "description": "The id of the boundary object for which weather data is being fetched.",
                    "type": "string"
                  },
                  "farmerId": {
                    "description": "The id of the farmer object for which weather data is being fetched.",
                    "type": "string"
                  },
                  "extensionId": {
                    "description": "Id of the extension to be used for the providerInput. eg. DTN.ClearAg.",
                    "maxLength": 100,
                    "minLength": 2,
                    "pattern": "^[a-zA-Z]{3,50}[.][a-zA-Z]{3,100}$",
                    "type": "string"
                  },
                  "extensionApiName": {
                    "description": "Extension api name to which request is to be made.",
                    "maxLength": 100,
                    "minLength": 2,
                    "type": "string"
                  },
                  "extensionApiInput": {
                    "description": "Extension api input dictionary which would be used to feed request query/body/parameter information.",
                    "type": "object",
                    "additionalProperties": {
                      "type": "object"
                    }
                  },
                  "extensionDataProviderAppId": {
                    "description": "App id of the weather data provider.",
                    "maxLength": 200,
                    "minLength": 2,
                    "type": "string"
                  },
                  "extensionDataProviderApiKey": {
                    "description": "Api key of the weather data provider.",
                    "maxLength": 200,
                    "minLength": 2,
                    "type": "string"
                  },
                  "id": {
                    "description": "Unique job id.",
                    "type": "string",
                    "readOnly": true
                  },
                  "status": {
                    "description": "Status of the job.\r\nPossible values: 'Waiting', 'Running', 'Succeeded', 'Failed', 'Cancelled'.",
                    "type": "string",
                    "readOnly": true
                  },
                  "durationInSeconds": {
                    "format": "double",
                    "description": "Duration of the job in seconds.",
                    "type": "number",
                    "readOnly": true
                  },
                  "message": {
                    "description": "Status message to capture more details of the job.",
                    "type": "string",
                    "readOnly": true
                  },
                  "createdDateTime": {
                    "format": "date-time",
                    "description": "Job created at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                    "type": "string",
                    "readOnly": true
                  },
                  "lastActionDateTime": {
                    "format": "date-time",
                    "description": "Job was last acted upon at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                    "type": "string",
                    "readOnly": true
                  },
                  "startTime": {
                    "format": "date-time",
                    "description": "Job start time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                    "type": "string",
                    "readOnly": true
                  },
                  "endTime": {
                    "format": "date-time",
                    "description": "Job end time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                    "type": "string",
                    "readOnly": true
                  },
                  "name": {
                    "description": "Name to identify resource.",
                    "maxLength": 100,
                    "minLength": 0,
                    "type": "string"
                  },
                  "description": {
                    "description": "Textual description of the resource.",
                    "maxLength": 500,
                    "minLength": 0,
                    "type": "string"
                  },
                  "properties": {
                    "description": "A collection of key value pairs that belongs to the resource.\r\nEach pair must not have a key greater than 50 characters\r\nand must not have a value greater than 150 characters.\r\nNote: A maximum of 25 key value pairs can be provided for a resource and only string,\r\nnumeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.",
                    "type": "object",
                    "additionalProperties": {
                      "type": "object"
                    },
                    "example": {
                      "key1": "value1",
                      "key2": 123.45
                    }
                  }
                },
                "additionalProperties": {}
              },
              "ErrorResponse": {
                "description": "An error response from the Azure AgPlatform service.\r\n<see href=\"https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses\">ErrorResponse reference document.</see>.",
                "type": "object",
                "properties": {
                  "error": {
                    "description": "An error from the Azure AgPlatform service.",
                    "type": "object",
                    "properties": {
                      "code": {
                        "description": "Server-defined set of error codes.",
                        "type": "string"
                      },
                      "message": {
                        "description": "Human-readable representation of the error.",
                        "type": "string"
                      },
                      "target": {
                        "description": "Target of the error.",
                        "type": "string"
                      },
                      "details": {
                        "description": "Array of details about specific errors that led to this reported error.",
                        "type": "array"
                      }
                    }
                  },
                  "traceId": {
                    "description": "Unique trace Id.",
                    "type": "string"
                  }
                }
              },
              "InnerError": {
                "description": "Inner error containing list of errors.\r\n<see href=\"https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object\">InnerError reference document</see>.",
                "type": "object",
                "properties": {
                  "code": {
                    "description": "Specific error code than was provided by the\r\ncontaining error.",
                    "type": "string"
                  }
                },
                "additionalProperties": {
                  "type": "object"
                }
              },
              "Error": {
                "description": "An error from the Azure AgPlatform service.",
                "type": "object",
                "properties": {
                  "code": {
                    "description": "Server-defined set of error codes.",
                    "type": "string"
                  },
                  "message": {
                    "description": "Human-readable representation of the error.",
                    "type": "string"
                  },
                  "target": {
                    "description": "Target of the error.",
                    "type": "string"
                  },
                  "details": {
                    "description": "Array of details about specific errors that led to this reported error.",
                    "type": "array"
                  }
                }
              }
            },
            "externalDocs": {
              "description": "Find out more about Swagger",
              "url": "http://swagger.io"
            },
            "host": "addon.azurewebsites.net",
            "info": {
              "contact": {
                "email": "apiteam@swagger.io"
              },
              "description": "This is a sample server Petstore server. You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/). For this sample, you can use the api key `special-key` to test the authorization filters.",
              "license": {
                "name": "Apache 2.0",
                "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
              },
              "termsOfService": "http://swagger.io/terms/",
              "title": "Swagger Petstore",
              "version": "1.0.6"
            },
            "schemes": [
              "https"
            ],
            "swagger": "2.0"
          }
        },
        "accessFBApplicationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "accessFBApplicationName": "solution provider 1",
        "saaSApplicationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "actionIds": [
          "actionId1"
        ],
        "roleId": "role1",
        "roleName": "roleName1"
      },
      "name": "bayerAgPowered.gdu"
    }
  ]
}

Definitioner

Name Description
createdByType

Den typ av identitet som skapade resursen.

DataManagerForAgricultureSolution

DataManagerForAgriculture-lösningsresurs.

DataManagerForAgricultureSolutionListResponse

Sidsidigt svar innehåller en lista över begärda objekt och en URL-länk för att hämta nästa uppsättning resultat.

DataManagerForAgricultureSolutionProperties

DataManagerForAgricultureSolution-egenskaper.

ErrorAdditionalInfo

Ytterligare information om resurshanteringsfelet.

ErrorDetail

Felinformationen.

ErrorResponse

Felsvar

MarketplaceOfferDetails
systemData

Metadata som rör skapande och senaste ändring av resursen.

createdByType

Den typ av identitet som skapade resursen.

Värde Description
User
Application
ManagedIdentity
Key

DataManagerForAgricultureSolution

DataManagerForAgriculture-lösningsresurs.

Name Typ Description
id

string (arm-id)

Fullständigt kvalificerat resurs-ID för resursen. Till exempel "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Namnet på resursen

properties

DataManagerForAgricultureSolutionProperties

DataManagerForAgricultureSolution-egenskaper.

systemData

systemData

Metadata som rör skapande och senaste ändring av resursen.

type

string

Resurstypen. Till exempel "Microsoft.Compute/virtualMachines" eller "Microsoft.Storage/storageAccounts"

DataManagerForAgricultureSolutionListResponse

Sidsidigt svar innehåller en lista över begärda objekt och en URL-länk för att hämta nästa uppsättning resultat.

Name Typ Description
$skipToken

string

Token som används för att hämta nästa sida. Om värdet är null finns det inga ytterligare sidor.

nextLink

string

Fortsättningslänk (absolut URI) till nästa sida med resultat i listan.

value

DataManagerForAgricultureSolution[]

Lista över begärda objekt.

DataManagerForAgricultureSolutionProperties

DataManagerForAgricultureSolution-egenskaper.

Name Typ Description
accessFBApplicationId

string (uuid)

Program-ID för programmet för flera klientorganisationer som ska användas av partner för att få åtkomst till Data Manager For Agriculture-data.

accessFBApplicationName

string

Programnamnet för det program med flera klientorganisationer som ska användas av partner för att få åtkomst till Data Manager for Agriculture Data.

actionIds

string[]

Lista över ActionIds som behövs för att ge SaaS-programmet för flera klientorganisationer åtkomst till relevanta fb-data.

dataAccessScopes

string[]

Hämtar omfånget för Data manager For Agriculture-dataåtkomst som krävs för att bearbeta lösningsbegäran till partner. Exempel: För gdd kan de behöva weatherScope och satelliteScope.

marketplaceOfferDetails

MarketplaceOfferDetails

openApiSpecsDictionary

Hämtar api-versionen Swagger Document Dictionary för att samla in alla API-versioner av swagger som exponeras av partner till Data Manager For Agriculture.

partnerId

string

Lösningspartner-ID.

partnerTenantId

string

Lösningspartnerns klient-ID.

roleId

string

Roll-ID för SaaS-programmet för flera klientorganisationer för att få åtkomst till relevanta fb-data.

roleName

string

Rollnamn för SaaS-programmet för flera klientorganisationer för att få åtkomst till relevanta fb-data.

saaSApplicationId

string

Program-ID för SaaS-programmet för flera klientorganisationer.

ErrorAdditionalInfo

Ytterligare information om resurshanteringsfelet.

Name Typ Description
info

object

Ytterligare information.

type

string

Ytterligare informationstyp.

ErrorDetail

Felinformationen.

Name Typ Description
additionalInfo

ErrorAdditionalInfo[]

Ytterligare information om felet.

code

string

Felkoden.

details

ErrorDetail[]

Felinformationen.

message

string

Felmeddelandet.

target

string

Felmålet.

ErrorResponse

Felsvar

Name Typ Description
error

ErrorDetail

Felobjektet.

MarketplaceOfferDetails

Name Typ Description
publisherId

string

saasOfferId

string

systemData

Metadata som rör skapande och senaste ändring av resursen.

Name Typ Description
createdAt

string (date-time)

Tidsstämpeln för resursskapande (UTC).

createdBy

string

Identiteten som skapade resursen.

createdByType

createdByType

Den typ av identitet som skapade resursen.

lastModifiedAt

string (date-time)

Tidsstämpeln för resursens senaste ändring (UTC)

lastModifiedBy

string

Identiteten som senast ändrade resursen.

lastModifiedByType

createdByType

Den typ av identitet som senast ändrade resursen.